Create Evaluation Set Items
Evaluation set items are the individual files and expected outputs that are used to evaluate the performance of a given extractor, classifier, or splitter in Extend. This endpoint will create new evaluation set items in Extend, which will be used during an evaluation run.
Each item references exactly one of:
fileId— a single file. The item is evaluated as one single-file run.fileIds— an ordered package of 2–50 files. The item is evaluated as one multifile extraction run, with a singleexpectedOutputcovering the whole package. Multifile items are only supported on evaluation sets attached to a JSON-schema extractor.
Limit: You can create up to 100 items at a time.
Learn more about how to create evaluation set items in the Evaluation Sets product page.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The ID of the evaluation set.
Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

